# $Id: smeserver-mailalias.spec,v 1.7 2024/09/06 00:28:06 terryfage Exp $
# Authority: unnilennium
# Name: Jean-Philippe Pialasse 

Summary: smeserver-mailalias
%define name smeserver-mailalias
%define version 0.1
%define release 13
Name:                   %{name}
Version: 		%{version}
Release: 		%{release}%{?dist}
License: 		GPL
Group: 			Applications/System
Source: 		%{name}-%{version}.tar.xz

Url: 			http://smeserver.pialasse.com/
BuildRoot:              /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch:		noarch
BuildRequires: smeserver-devtools >= 1.13.1-03
Requires:               smeserver-release >= 9.0
Requires: smeserver-formmagick >= 1.4.0-12
Provides: perl(esmith::FormMagick::Panel::mailalias)

%description
SME Server panel in order to manage email alias to external email without creating a user 
on the server

%prep
%setup
mkdir -p root/etc/e-smith/events/smeserver-mailalias-update

%build
/usr/bin/perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root,-)

%clean
rm -rf $RPM_BUILD_ROOT

%post

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 0.1-13.sme
- Fix e-smith references in smeserver-mailalias [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.1-12.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Fri Sep 06 2024 Terry Fage <terry@fage.id.au> 0.1-11.sme
- apply locale 2024-09-05.patch

* Sat Jul 30 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.1-10.sme
- add provides perl(esmith::FormMagick::Panel::mailalias) [SME: 12132]

* Sat Jul 23 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.1-9.sme
- untaint correctly mailalias [SME: 12108]

* Mon Aug 23 2021 Terry Fage <terry.fage@gmail.com> 0.1-8.sme
- apply locale 2021-08-22 patch

* Tue Jun 01 2021 Jean-Philippe Pialasse <tests@pialasse.com> 0.1-7.sme
- add dummy smeserver-mailalias-update event [SME: 11279]

* Sun Dec 20 2020 Brian Read <brianr@bjsystems.co.uk> 0.1-6.sme
- Initial Import in SME 10 [SME: 11279]

* Sat Dec 07 2019 SME Translation Server <translations@contribs.org> 0.1-5.sme
- apply locale 2019-12-07 patch

* Sun Dec 16 2018 Terry Fage <tfage@yahoo.com.au> 0.1-4
- fix wrong path and file name in createlinks [SME: 10518]

* Fri Dec 14 2018 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-3
- apply locale patch 2018-12-14
- bump required SME release version

* Tue Feb 13 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-2.sme
- improve translation strings

* Tue Feb 13 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-1.sme
- fix wrong pm path [SME: 10518]

* Mon Feb 12 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-0.3.sme
- first import in SME contribs repo and cvs

* Tue Sep 27 2011 JP PIALASSE tests@pialasse.com  0.1-0.2
- Formagick mailalias.pm added in archive
- beta release
- still need default db

* Tue Sep 27 2011 JP PIALASSE tests@pialasse.com  0.1-0.1
- first package for smeserver-mailalias
- panel for server-manager
- still need to create default db
- beta release
